Rapid7 Vulnerability & Exploit Database

USN-2752-1: Linux kernel vulnerabilities

Back to Search

USN-2752-1: Linux kernel vulnerabilities

Severity
2
CVSS
(AV:L/AC:L/Au:N/C:N/I:N/A:P)
Published
08/31/2015
Created
07/25/2018
Added
09/30/2015
Modified
07/09/2020

Description

The vhost_dev_ioctl function in drivers/vhost/vhost.c in the Linux kernel before 4.1.5 allows local users to cause a denial of service (memory consumption) via a VHOST_SET_LOG_FD ioctl call that triggers permanent file-descriptor allocation.

Solution(s)

  • ubuntu-upgrade-linux-image-3-19-0-30-generic
  • ubuntu-upgrade-linux-image-3-19-0-30-generic-lpae
  • ubuntu-upgrade-linux-image-3-19-0-30-lowlatency
  • ubuntu-upgrade-linux-image-3-19-0-30-powerpc-e500mc
  • ubuntu-upgrade-linux-image-3-19-0-30-powerpc-smp
  • ubuntu-upgrade-linux-image-3-19-0-30-powerpc64-emb
  • ubuntu-upgrade-linux-image-3-19-0-30-powerpc64-smp

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;